=== debian/changelog ===
powder (114-1) unstable; urgency=low

  * New upstream version.
  * Add a freedestop.org menu entry. (Closes: #560982)
    Thanks Colin Watson for the patch.
  * Switch to dpkg-source format version 3.0 (quilt).
  * Bump standards version to 3.8.4.
  * Remove savefile.
  * Add watch file.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 19 May 2010 14:13:09 +0200

powder (112-1) unstable; urgency=low

  * New upstream version.
  * Add Debian Games Team to Uploaders.
  * Bump standards version.
  * Call a bash script with bash not sh. (Closes: #534692)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 02 Nov 2009 13:07:52 +0100

powder (111-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 27 May 2009 14:51:44 +0200

powder (110-2) unstable; urgency=low

  * Added the XS-Autobuild: yes header to debian/control.
  * Added a note about autobuilding to debian/copyright.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 04 Mar 2009 12:29:02 +0100

powder (110-1) unstable; urgency=low

  * New upstream version.
  * Fix debian/copyright.
  * Bump debhelper version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 20 Feb 2009 15:44:58 +0100

powder (109-1) unstable; urgency=low

  * New upstream version.
  * Apply patch to fix the crashing bug. (Closes: #492506)
    Thanks to Chris Carr and Jeff Lait.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 09 Jan 2009 10:28:44 +0100

powder (107-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 05 Aug 2008 15:31:52 +0200

powder (106-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 03 Jul 2008 12:12:39 +0200

powder (105-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 14 May 2008 07:37:51 +0200

powder (104-1) unstable; urgency=low

  * Initial release. (Closes: #469476)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 03 Mar 2008 16:14:38 +0100
