## powder 115

=== port/linux/Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 all: $(TARGET)
 
 powder: premake $(OFILES)
-	$(CXX) -o $(TARGET) $(OFILES) `sdl-config --libs` $(CXXFLAGS)
+	$(CXX) -o $(TARGET) $(OFILES) `sdl-config --libs` $(CXXFLAGS) $(LDFLAGS)
 
 .cpp.o:
 	$(CXX) -DLINUX -I ../../port/sdl `sdl-config --cflags` -c $< -o $@ $(CXXFLAGS)
@@ -59,8 +59,8 @@
 	# and is to try and ensure we end up with a static link
 	# of stdc++.
 	$(RM) libstdc++.a
-	ln -s `g++ -print-file-name=libstdc++.a`
-	$(CXX) -static-libgcc -L. -o $(TARGET) $(OFILES) `sdl-config --libs` $(CXXFLAGS)
+	ln -s `$(CXX) -print-file-name=libstdc++.a`
+	$(CXX) -static-libgcc -L. -o $(TARGET) $(OFILES) `sdl-config --libs` $(CXXFLAGS) $(LDFLAGS)
 
 clean:
 	$(RM) $(OFILES)
