=== debian/changelog ===
powder (115-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.1.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 17 Dec 2010 09:55:47 +0100
