=== debian/control ===
Source: powder
Section: non-free/games
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), libsdl1.2-dev
Homepage: http://www.zincland.com/powder/
XS-Autobuild: yes
Standards-Version: 3.9.1

Package: powder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphical dungeon crawling game
 This is a roguelike originally developed specifically for the Gameboy
 Advance (GBA). It is not a port of an existing roguelike as the controls
 of the GBA are very different from the traditional keyboard, and the screen
 imposes some additional limitations. It is built around replayability and
 long term ergonomics, not short term learning. It uses actual graphic tiles
 (16x16) rather than the traditional characters.
