=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	bash -ex ./buildall.sh
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f *.o */*.o */*/*.o rooms/*.cpp rooms/allrooms.h gfx/*.c gfx/*/*.c
	rm -f license.cpp glbdef.cpp glbdef.h encyclopedia.cpp encyclopedia.h
	rm -f credits.cpp gfx/akoi3x/sprite16_3x.bmp
	rm -f powder port/linux/powder support/bmp2c/bmp2c support/encyclopedia2c/encyclopedia2c support/enummaker/enummaker support/map2c/map2c support/tile2c/tile2c support/txt2c/txt2c port/linux/libstdc++.a
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
