## powder 115-1

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 build-stamp:
 	dh_testdir
-	bash -ex ./buildall.sh
+	bash -ex ./buildall.sh --use-home-dir
 	touch $@
 
 clean:
@@ -30,11 +30,11 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
+#	dh_installchangelogs
+#	dh_installdocs
 	dh_installexamples
 	dh_installmenu
-	dh_installman
+#	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
