## powder 115-2

=== debian/changelog ===
powder (115-2) unstable; urgency=low

  * Maemo5 version
  * Sdl-bug workaround: https://bugs.maemo.org/show_bug.cgi?id=5153

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue,  4 Jan 2011 12:07:01 +0200
