## powder 115-maemo1

=== debian/changelog ===
powder (115-maemo1) unstable; urgency=low

  * For fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Aug 2011 11:27:09 +0200
