=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7), libsdl1.2-dev
 Homepage: http://www.zincland.com/powder/
 XS-Autobuild: yes
-Standards-Version: 3.9.1
+Standards-Version: 3.8.4
 
 Package: powder
 Architecture: any
