## powder 115-maemo2

=== debian/changelog ===
powder (115-maemo2) unstable; urgency=low

  * Swapped alt+ctrl (ctrl=jump, alt=safewalk)
  * Repository to non-free

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Aug 2011 13:59:01 +0200
