## powder 115-maemo3

=== debian/changelog ===
powder (115-maemo3) unstable; urgency=low

  * .desktop fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Aug 2011 15:06:01 +0200
