=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: powder
-Section: non-free/games
+Section: user/games
 Priority: optional
-Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
-Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 7), libsdl1.2-dev
 Homepage: http://www.zincland.com/powder/
 XS-Autobuild: yes
