## powder 116

=== debian/changelog ===
powder (116-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.2.
  * Bump debhelper version to 8.
  * debian/copyright: update copyright years.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 28 Sep 2011 14:51:48 +0200
