## powder 116-maemo1

=== debian/changelog ===
powder (116-maemo1) unstable; urgency=low

  * New upstream version
  * Swapped alt+ctrl (ctrl=jump, alt=safewalk)
  * Sdl-bug workaround: https://bugs.maemo.org/show_bug.cgi?id=5153

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  09 Nov 2011 13:02:01 +0200
