=== port/psp/Makefile ===
--- 
+++ 
@@ -59,8 +59,9 @@
 CXXFLAGS = $(CFLAGS) -fno-exceptions -fno-rtti
 ASFLAGS = $(CFLAGS)
 
-LIBS += -lpsppower -lpspaudio -lpspgu -lpsphprm -lpsprtc -lstdc++ -lz -lm \
-		$(shell $(SDL_CONFIG) --libs)
+LIBS +=	$(shell $(SDL_CONFIG) --libs) \
+	-lpsppower -lpspaudio -lpspgu -lpsphprm -lpsprtc -lstdc++ -lz -lm
+	
 		
 include $(PSPSDK)/lib/build.mak
