=== support/builddpdf/Makefile ===
TARGET = builddpdf

OFILES = builddpdf.o \
	 dpdf.o

include ../../make/makerules
