=== support/encyclopedia2c/Makefile ===
TARGET = encyclopedia2c

OFILES = encyclopedia2c.o \
	 stdafx.o

include ../../make/makerules
