=== support/tile2c/Makefile ===
TARGET = tile2c

OFILES = tile2c.o \
	 bmp.o

include ../../make/makerules
