=== support/txt2c/Makefile ===
TARGET = txt2c

OFILES = txt2c.o \
	 StdAfx.o

include ../../make/makerules
