=== debian/changelog ===
powder (117-2) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-6. (Closes: #836931)
  * Store saves in ~/.powder/ (Closes: #783379)

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 11 Sep 2016 00:42:59 +0200

powder (117-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 03 Feb 2012 09:38:34 +0100
