=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: powder
-Section: user/games
+Section: non-free/games
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 7), libsdl1.2-dev
+Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
+Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 8), libsdl1.2-dev
 Homepage: http://www.zincland.com/powder/
 XS-Autobuild: yes
-Standards-Version: 3.8.4
+Standards-Version: 3.9.8
 
 Package: powder
 Architecture: any
