=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp:
 	dh_testdir
@@ -30,11 +32,11 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installchangelogs
-#	dh_installdocs
+	dh_installchangelogs
+	dh_installdocs
 	dh_installexamples
 	dh_installmenu
-#	dh_installman
+	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
