=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://www.zincland.com/powder/index.php?pagename=release (?:.*/)?powder?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate
