## powder 118

=== debian/changelog ===
powder (118-1) unstable; urgency=medium

  * New upstream version.
  * New maintainer. (Closes: #691835)
  * Bump debhelper version to 11.
  * Bump standards version to 4.1.3.
  * debian/menu: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 07 Mar 2018 14:15:08 +0100
