=== port/linux/Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 all: $(TARGET)
 
-powder: premake $(OFILES)
+powder: $(OFILES)
 	$(CXX) -o $(TARGET) $(OFILES) `sdl-config --libs` $(CXXFLAGS) $(LDFLAGS)
 
 .cpp.o:
