=== support/bmp2c/Makefile ===
TARGET = bmp2c

OFILES = bmp2c.o \
	 stdafx.o

include ../../make/makerules
