=== support/compendium/Makefile ===
TARGET = compendium

OFILES = compendium.o \
	 ../../glbdef.o \
	 ../../gfx/all_bitmaps.o \
	 ../../buf.o \
	 ../../encyclopedia.o

include ../../make/makerules
