=== support/enummaker/Makefile ===
TARGET = enummaker

OFILES = enummaker.o \
	 StdAfx.o

include ../../make/makerules
