=== support/map2c/Makefile ===
TARGET = map2c

OFILES = map2c.o \
	 stdafx.o

include ../../make/makerules
