=== support/splicebmp/Makefile ===
TARGET = splicebmp

OFILES = splicebmp.o \
	 stdafx.o

include ../../make/makerules
