=== debian/changelog ===
powder (118+dfsg1-5) unstable; urgency=medium

  * XS-Autobuild: yes, confirmed.
  * Bump standards version to 4.7.2.
  * d/copyright: bump year.

 -- Alex Myczko <tar@debian.org>  Tue, 07 Oct 2025 14:58:36 +0200

powder (118+dfsg1-4) unstable; urgency=medium

  * Bump debhelper version to 13, drop d/compat.
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Sun, 02 Jun 2024 21:02:23 +0000

powder (118+dfsg1-3) unstable; urgency=medium

  * Fix maintainer address. (Closes: #950339)
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 04 Feb 2020 14:47:50 +0100

powder (118+dfsg1-2) unstable; urgency=medium

  * Bump standards version to 4.4.1.
  * Add Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 31 Jan 2020 15:18:29 +0100

powder (118+dfsg1-1) unstable; urgency=medium

  * debian/README.source: added, repacked for lintian clean up.
  * Build debug file with debug symbols.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 25 Jan 2019 12:38:58 +0100
