=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: powder
 Section: non-free/games
 Priority: optional
-Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
-Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 8), libsdl1.2-dev
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13), libsdl1.2-dev
 Homepage: http://www.zincland.com/powder/
 XS-Autobuild: yes
-Standards-Version: 3.9.8
+Vcs-Browser: https://salsa.debian.org/games-team/powder
+Vcs-Git: https://salsa.debian.org/games-team/powder.git
+Standards-Version: 4.7.2
 
 Package: powder
 Architecture: any
