=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 build-stamp:
 	dh_testdir
-	bash -ex ./buildall.sh --use-home-dir
+	CXXFLAGS=-g bash -ex ./buildall.sh --use-home-dir
 	touch $@
 
 clean:
